Bug 152619 - (IT_71661) openipmi drivers missing compat_ioctl's on x86_64 kernel
openipmi drivers missing compat_ioctl's on x86_64 kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-03-30 15:07 EST by jordan hargrave
Modified: 2013-03-06 00:58 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:55:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for ipmi_devintf.c (8.23 KB, patch)
2005-03-30 19:59 EST, jordan hargrave
no flags Details | Diff

  None (edit)
Description jordan hargrave 2005-03-30 15:07:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
The openipmi drivers (ipmi_si_drv, ipmi_devintf, etc) are missing compat_ioctl's for x86_64 mode.  This means that 32-bit utilities will not work on the 64 bit kernel.


Version-Release number of selected component (if applicable):
Gold Kernel

How reproducible:
Always

Steps to Reproduce:
1.Install x86_64 kernel
2.Install ipmi_si_drv, ipmi_devintf drivers
3.Ipmitool will not work
  

Additional info:
Comment 1 jordan hargrave 2005-03-30 19:59:04 EST
Created attachment 112495 [details]
Patch for ipmi_devintf.c

Patches drivers/char/ipmi/ipmi_devintf.c to provide 32-bit ioctl's on 64-bit
kernel.  Patch is from RHEL4 gold.
Comment 2 Susan Denham 2005-03-31 09:53:38 EST
Dell agrees that this is a U2 MUSTFIX.  Amit:  please add to your list.
Comment 3 Larry Troan 2005-06-21 09:17:23 EDT
Removing RHEL3 IT_74119 reference from this bug since it's a RHEL4 BUG.
Comment 4 Larry Troan 2005-06-21 09:52:47 EDT
Dell considers this a MUSTFIX bug per Amit's......
Subject: All Dell/Red Hat Development Issues (Devzilla)
Date: 	 Wed, 15 Jun 2005 18:43:22 -0500

Severity 2  
Comment 5 Matt Domsch 2005-06-21 10:32:53 EDT
IT 71661 has the patch to resolve this for RHEL4.
Comment 6 Matt Domsch 2005-06-22 09:06:45 EDT
Changing to reflect that IT 71661 is the proper IT for this, and closing IT_74561
Comment 8 Jason Baron 2005-08-15 18:08:36 EDT

*** This bug has been marked as a duplicate of 138592 ***
Comment 9 Matt Domsch 2005-08-16 00:02:30 EDT
Jason, I don't see how this can be a duplicate of 138592.  They may have the 
same resolution (an updated ipmi driver set), but they're two different 
problems with the same driver from what I can tell.
Comment 11 Red Hat Bugzilla 2005-10-05 08:55:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.